Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
clan::ImageSource Class Referenceabstract

`#include <image_source.h>`

## Public Member Functions
virtual Image | get_image (Canvas &canvas)=0

## Static Public Member Functions
static std::shared_ptr< ImageSource > | from_callback (const std::function< Image(Canvas &)> &get_image_callback)
static std::shared_ptr< ImageSource > | from_image (const Image &image)
static std::shared_ptr< ImageSource > | from_resource (const std::string &resource_name)

## Protected Member Functions
virtual | ~ImageSource ()

## Constructor & Destructor Documentation

virtual clan::ImageSource::~ImageSource | ( |  | ) |
| inline protected virtual

## Member Function Documentation

static std::shared_ptr<ImageSource> clan::ImageSource::from_callback | ( | const std::function< Image(Canvas &)> & | get_image_callback | ) |
| static

static std::shared_ptr<ImageSource> clan::ImageSource::from_image | ( | const Image & | image | ) |
| static

static std::shared_ptr<ImageSource> clan::ImageSource::from_resource | ( | const std::string & | resource_name | ) |
| static

virtual Image clan::ImageSource::get_image | ( | Canvas & | canvas | ) |
| pure virtual

The documentation for this class was generated from the following file:

- image_source.h